/*----------------- BEGIN small_driver_parameters.h BEGIN -----------------*/
/* @file small_driver_parameters.h                                         */
/* @author jlinford                                                        */
/* @date 2012-06-22 15:41:00.431627                                        */
/* @brief Program driver parameters                                        */
/*                                                                         */
/* Time domain definitions and grid cell count                             */
/*                                                                         */
/* This file was generated by Kppa: http://www.paratools.com/Kppa          */
/*-------------------------------------------------------------------------*/

#ifndef __SMALL_DRIVER_PARAMETERS_H__
#define __SMALL_DRIVER_PARAMETERS_H__

#ifdef __cplusplus
extern "C" {
#endif


/*-------------------------------------------------------------------------*/
/* Time domain                                                             */
/*-------------------------------------------------------------------------*/

/* Integration start time in seconds */
#define TSTART           (float)(0)
/* Integration end time in seconds */
#define TEND             (float)(432000)
/* Time between integrator restarts in seconds */
#define TDEL             (float)(900)


/*-------------------------------------------------------------------------*/
/* Grid dimensions                                                         */
/*-------------------------------------------------------------------------*/

/* Number of grid cells to integrate */
#define NCELLS           (unsigned long)(10)


/*-------------------------------------------------------------------------*/
/* Species reporting                                                       */
/*-------------------------------------------------------------------------*/

/* Number of species on the LOOKAT list */
#define NLOOKAT          (unsigned long)(2)
/* Number of species on the MONITOR list */
#define NMONITOR         (unsigned long)(6)




#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* __SMALL_DRIVER_PARAMETERS_H__ */
/*------------------- END small_driver_parameters.h END -------------------*/
