/*--------------------- BEGIN small_initialize.c BEGIN --------------------*/
/* @file small_initialize.c                                                */
/* @author jlinford                                                        */
/* @date 2012-06-22 15:41:00.419795                                        */
/* @brief Species concentration initialization                             */
/*                                                                         */
/* Species concentration initialization                                    */
/*                                                                         */
/* This file was generated by Kppa: http://www.paratools.com/Kppa          */
/*-------------------------------------------------------------------------*/
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>
#include <math.h>
#include "small_parameters.h"
#include "small_initialize.h"


/*------------------------------- Initialize ------------------------------*/
/* Species concentration initialization.                                   */
/* Concentrations are usually supplied by the model from input data        */
/* or other calculations, not specified directly as done here.             */
/*                                                                         */
/* @param[in,out] var Variable species concentrations                      */
/* @param[in,out] fix Fixed species concentrations                         */
/*-------------------------------------------------------------------------*/
void Initialize(float var[5], float fix[2])
{
    /* Variable species initialization */
    var[0] = 99.06*CFACTOR;
    var[1] = 662400000.0*CFACTOR;
    var[2] = 532600000000.0*CFACTOR;
    var[3] = 872500000.0*CFACTOR;
    var[4] = 224000000.0*CFACTOR;

    /* Fixed species initialization */
    fix[0] = 8.12e+16*CFACTOR;
    fix[1] = 1.697e+16*CFACTOR;
} /* END Initialize */


/*----------------------- END small_initialize.h END ----------------------*/
