/*---------------------- BEGIN small_jacobian.c BEGIN ---------------------*/
/* @file small_jacobian.c                                                  */
/* @author jlinford                                                        */
/* @date 2012-06-22 15:41:00.337808                                        */
/* @brief The Jacobian of the chemical model                               */
/*                                                                         */
/* The Jacobian of the chemical model                                      */
/*                                                                         */
/* This file was generated by Kppa: http://www.paratools.com/Kppa          */
/*-------------------------------------------------------------------------*/
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>
#include <math.h>
#include "small_parameters.h"
#include "small_jacobian.h"


/*---------------------------------- Jac ----------------------------------*/
/* The Jacobian of variable species                                        */
/*                                                                         */
/* @param[in]     var  Variable species concentrations                     */
/* @param[in]     fix  Fixed species concentrations                        */
/* @param[in]     rct  Reaction rates                                      */
/* @param[out]    sjac The row-compressed sparse Jacobian                  */
/*-------------------------------------------------------------------------*/
void Jac(float var[5], float fix[2], float rct[10], float sjac[19])
{
    float t0;
    float t1;
    float t2;
    float t3;
    float t4;
    float t5;
    float t6;
    float t7;
    float t8;
    float t9;
    float t10;
    float t11;
    float t12;

    t0 = 7.11e-11*fix[0];
    t1 = 1.2e-10*var[2];
    t2 = 8.018e-17*fix[1];
    t3 = 1.576e-15*var[2];
    t4 = 1.069e-11*var[4];
    t5 = rct[2];
    t6 = 1.576e-15*var[1];
    t7 = rct[4];
    t8 = 1.2e-10*var[0];
    t9 = 6.062e-15*var[3];
    t10 = 6.062e-15*var[2];
    t11 = 1.069e-11*var[1];
    t12 = rct[9];

    sjac[0] = -t0 - t1;
    sjac[1] = t7 - t8;
    sjac[2] = t0;
    sjac[3] = -t2 - t3 - t4;
    sjac[4] = t5 - t6;
    sjac[5] = -t11 + t12;
    sjac[6] = -t1;
    sjac[7] = t2 - t3;
    sjac[8] = -t5 - t6 - t7 - t8 - t9;
    sjac[9] = -t10;
    sjac[10] = 0;
    sjac[11] = t4;
    sjac[12] = -t9;
    sjac[13] = -t10;
    sjac[14] = t11 + t12;
    sjac[15] = -t4;
    sjac[16] = t9;
    sjac[17] = t10;
    sjac[18] = -t11 - t12;
} /* END Jac */



/*------------------------ END small_jacobian.h END -----------------------*/
