/*---------------------- BEGIN small_jacobian.h BEGIN ---------------------*/
/* @file small_jacobian.h                                                  */
/* @author jlinford                                                        */
/* @date 2012-06-22 15:41:00.368887                                        */
/* @brief The Jacobian of the chemical model                               */
/*                                                                         */
/* The Jacobian of the chemical model                                      */
/*                                                                         */
/* This file was generated by Kppa: http://www.paratools.com/Kppa          */
/*-------------------------------------------------------------------------*/

#ifndef __SMALL_JACOBIAN_H__
#define __SMALL_JACOBIAN_H__

#ifdef __cplusplus
extern "C" {
#endif


/*---------------------------------- Jac ----------------------------------*/
/* The Jacobian of variable species                                        */
/*                                                                         */
/* @param[in]     var  Variable species concentrations                     */
/* @param[in]     fix  Fixed species concentrations                        */
/* @param[in]     rct  Reaction rates                                      */
/* @param[out]    sjac The row-compressed sparse Jacobian                  */
/*-------------------------------------------------------------------------*/
void Jac(float var[5], float fix[2], float rct[10], float sjac[19]);



#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* __SMALL_JACOBIAN_H__ */
/*------------------------ END small_jacobian.h END -----------------------*/
