/*----------------------- BEGIN small_solve.c BEGIN -----------------------*/
/* @file small_solve.c                                                     */
/* @author jlinford                                                        */
/* @date 2012-06-22 15:41:00.315854                                        */
/* @brief Solve Ax=b by forward-backward substitution                      */
/*                                                                         */
/* Solve Ax=b by forward-backward substitution                             */
/*                                                                         */
/* This file was generated by Kppa: http://www.paratools.com/Kppa          */
/*-------------------------------------------------------------------------*/
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>
#include <math.h>
#include "small_parameters.h"
#include "small_solve.h"


/*--------------------------------- Solve ---------------------------------*/
/* Solve Ax=b in place by back substitution                                */
/*                                                                         */
/* @param[in]     A Row-compressed matrix with zero fill                   */
/* @param[in,out] x Input and solution vector                              */
/*-------------------------------------------------------------------------*/
void Solve(float A[19], float x[5])
{
    float x0;
    float x1;
    float x2;
    float x3;
    float x4;

    x0 = x[0];
    x1 = -A[2]*x0 + x[1];
    x2 = -A[6]*x0 - A[7]*x1 + x[2];
    x3 = -A[11]*x1 - A[12]*x2 + x[3];
    x4 = -A[15]*x1 - A[16]*x2 - A[17]*x3 + x[4];

    x4 = x4/A[18];
    x3 = (-A[14]*x4 + x3)/A[13];
    x2 = (-A[10]*x4 - A[9]*x3 + x2)/A[8];
    x1 = (-A[4]*x2 - A[5]*x4 + x1)/A[3];
    x0 = (-A[1]*x2 + x0)/A[0];
    x[4] = x4;
    x[3] = x3;
    x[2] = x2;
    x[1] = x1;
    x[0] = x0;

} /* END Solve */


/*------------------------- END small_solve.h END -------------------------*/
